For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETRetrieves all licensed users data.
      • GETGet a list of groups
      • POSTCreate a new group
      • GETGet a single group
      • PUTUpdate a group
      • DELDelete a single group
      • DELDelete all SCIM groups
      • GETGet a list of roles
      • POSTCreate a new role
      • GETGet a single role
      • PUTUpdate a role
      • DELDelete a custom role
      • POSTValidate a role
      • GETGet all pending user access requests.
      • POSTApprove a user access request.
      • DELReject a user access request.
      • GETGet your own user details
      • GETGet your own user profile
      • POSTChange your own password
      • GETGet roles for currently logged in user
      • GETGets inactive users
      • POSTDeletes inactive users
      • POSTValidate password for a user
      • POSTChange password for a user
      • POSTReset user password
      • GETGet all users and [root roles](https://docs.getunleash.io/concepts/rbac#predefined-roles)
      • POSTCreate a new user
      • GETSearch users
      • GETGet basic user and group information
      • GETGet total count of admin accounts
      • GETGet user
      • PUTUpdate a user
      • DELDelete a user
      • DELDelete all SCIM users
13.5kProductPricingSign inStart free trialBook a demo
Admin APIUsers

Deletes inactive users

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/user-admin/inactive/delete
POST
/api/admin/user-admin/inactive/delete
$curl -X POST https://app.unleash-instance.example.com/api/admin/user-admin/inactive/delete \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "ids": [
> 12,
> 212
> ]
>}'
1{}
Deletes all inactive users. An inactive user is a user that has not logged in in the last 180 days
Was this page helpful?
Previous

Validate password for a user

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

idsSchema
idslist of doublesRequired
Ids, for instance userid

Response

This response has no body.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error